"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 2) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=2', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ || args[1].Type() !== object_1.ARRAY_OBJ) {
        return evaluator_1.newError('arguments to `array_concat` must be ARRAY,ARRAY, got %s,%s', args[0].Type(), args[1].Type());
    }
    let arg1 = args[0];
    let arg2 = args[1];
    return new object_1.OArray(arg1.Elements.concat(arg2.Elements));
});
//# sourceMappingURL=array_concat.js.map