"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length > 3) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=2', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ) {
        return evaluator_1.newError('arguments to `array_flat` must be ARRAY,[INTEGER], got %s,%s', args[0].Type());
    }
    if (args[1] && args[1].Type() !== object_1.INTEGER_OBJ) {
        return evaluator_1.newError('arguments to `array_flat` must be ARRAY,[INTEGER], got %s,%s', args[0].Type(), args[1] ? args[1].Type() : null);
    }
    let arr = args[0];
    let arg2 = args[1] ? parseInt(args[1].Inspect()) : 1;
    function flattenOArray(a, depth = 1) {
        let out = [];
        for (let i = 0; i < a.Elements.length; i++) {
            let toAdd = a.Elements[i];
            if (toAdd instanceof object_1.OArray && depth > 0) {
                out.push(...flattenOArray(toAdd, depth - 1));
            }
            else {
                out.push(toAdd);
            }
        }
        return out;
    }
    return new object_1.OArray(flattenOArray(arr, arg2));
});
//# sourceMappingURL=array_flat.js.map