"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 2) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=2', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ ||
        (args[1].Type() !== object_1.STRING_OBJ && args[1].Type() !== object_1.INTEGER_OBJ && args[1].Type() !== object_1.FLOAT_OBJ)) {
        return evaluator_1.newError('arguments to `string_replace` must be ARRAY,STRING|INTEGER|FLOAT got %s,%s', args[0].Type(), args[1].Type());
    }
    let arg1 = args[0];
    let arg2 = args[1].toValue();
    if (arg1 instanceof object_1.OArray) {
        return new object_1.OBoolean(arg1.Elements.includes(arg2));
    }
    return evaluator_1.newError('argument to `array_includes` not supported, got %s', arg1.Type());
});
//# sourceMappingURL=array_includes.js.map