"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 2) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=2', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ || args[1].Type() !== object_1.STRING_OBJ) {
        return evaluator_1.newError('arguments to `array_join` must be ARRAY,STRING, got %s,%s', args[0].Type(), args[1].Type());
    }
    let arg1 = args[0];
    let arg2 = args[1];
    let joined = arg1.Elements.join(arg2.Inspect());
    return new object_1.OString(joined);
});
//# sourceMappingURL=array_join.js.map