"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ) {
        return evaluator_1.newError('arguments to `array_max` must be ARRAY, got %s,', args[0].Type());
    }
    let arr = args[0];
    let sorted = arr.Elements.sort(function (a, b) {
        return a.Inspect() >= a.Inspect() ? 1 : -1;
    });
    let out = sorted[0];
    if (out instanceof object_1.OInteger) {
        return new object_1.OInteger(out.toValue());
    }
    else if (out instanceof object_1.OFloat) {
        return new object_1.OFloat(out.toValue());
    }
    else {
        return new object_1.OString(out.Inspect());
    }
});
//# sourceMappingURL=array_max.js.map