"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ) {
        return evaluator_1.newError('argument to `array_pop` must be ARRAY, got %s', args[0].Type());
    }
    let arr = args[0];
    let ret = arr.Elements.pop();
    if (ret)
        return ret;
    return evaluator_1.NULL;
});
//# sourceMappingURL=array_pop.js.map