"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length === 0 || args.length > 3) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1|2|3', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ) {
        return evaluator_1.newError('arguments to `array_slice` must be ARRAY,[INTEGER],[INTEGER], got %s,%s,%s', args[0].Type());
    }
    if ((args[1] && args[1].Type() !== object_1.INTEGER_OBJ) || (args[2] && args[2].Type() !== object_1.INTEGER_OBJ)) {
        return evaluator_1.newError('arguments to `array_slice` must be ARRAY,[INTEGER],[INTEGER], got %s,%s,%s', args[0].Type(), args[1] ? args[1].Type() : null, args[1] ? args[2].Type() : null);
    }
    let arr = args[0];
    let arg2 = parseInt(args[1].Inspect());
    let arg3 = parseInt(args[2].Inspect());
    return new object_1.OArray(arr.Elements.slice(arg2, arg3));
});
//# sourceMappingURL=array_slice.js.map