"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 2) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=2', args.length);
    }
    if (args[0].Type() !== object_1.ARRAY_OBJ) {
        return evaluator_1.newError('argument to `array_unshift` must be ARRAY, got %s', args[0].Type());
    }
    let arr = args[0];
    arr.Elements.unshift(args[1]);
    return new object_1.OArray(arr.Elements);
});
//# sourceMappingURL=array_unshift.js.map