"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    if (args[0].Type() !== object_1.HASH_OBJ && args[0].Type() !== object_1.ARRAY_OBJ) {
        return evaluator_1.newError('argument to `json_stringify` must be ARRAY or HASH, got %s', args[0].Type());
    }
    return new object_1.OString(args[0].toString());
});
//# sourceMappingURL=json_stringify.js.map