"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    if (args[0].Type() !== object_1.INTEGER_OBJ && args[0].Type() !== object_1.FLOAT_OBJ) {
        return evaluator_1.newError('argument to `math_random` must be INTEGER or FLOAT, got %s', args[0].Type());
    }
    let arg = args[0].Inspect();
    let max = 1;
    if (isFloat(arg)) {
        max = parseFloat(arg);
        return new object_1.OFloat(Math.random() * max);
    }
    max = parseInt(arg);
    return new object_1.OInteger(Math.floor(Math.random() * Math.floor(max)));
});
function isFloat(n) {
    let val = parseFloat(n);
    return !isNaN(val) && n.indexOf('.') !== -1;
}
//# sourceMappingURL=math_random.js.map