"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    if (args[0].Type() !== object_1.STRING_OBJ) {
        return evaluator_1.newError('argument to `number` must be STRING, got %s', args[0].Type());
    }
    let arg = args[0].Inspect();
    if (isFloat(arg)) {
        let number = parseFloat(arg);
        return new object_1.OFloat(number);
    }
    let number = parseInt(arg);
    return new object_1.OInteger(number);
});
function isFloat(n) {
    let val = parseFloat(n);
    return !isNaN(val) && n.indexOf('.') !== -1;
}
//# sourceMappingURL=number.js.map