"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 1) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    let arg = args[0];
    if (arg instanceof object_1.OString) {
        return new object_1.OInteger(arg.Value.length);
    }
    return evaluator_1.newError('argument to `len` not supported, got %s', arg.Type());
});
//# sourceMappingURL=string_len.js.map