"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const object_1 = require("../../object/object");
const evaluator_1 = require("../evaluator");
exports.default = new object_1.Builtin(function (env, ...args) {
    if (args.length !== 3) {
        return evaluator_1.newError('wrong number of arguments. got=%s, want=1', args.length);
    }
    if (args[0].Type() !== object_1.STRING_OBJ || args[1].Type() !== object_1.INTEGER_OBJ || args[2].Type() !== object_1.INTEGER_OBJ) {
        return evaluator_1.newError('arguments to `string_substr` must be STRING,INTEGER,INTEGER, got %s,%s,%s', args[0].Type(), args[1].Type(), args[2].Type());
    }
    let arg1 = args[0].Inspect();
    let arg2 = parseInt(args[1].Inspect());
    let arg3 = parseInt(args[2].Inspect());
    return new object_1.OString(arg1.substr(arg2, arg3));
});
//# sourceMappingURL=string_substr.js.map