"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const repl_1 = __importDefault(require("./repl/repl"));
const process_1 = __importDefault(require("process"));
const os_1 = __importDefault(require("os"));
const fs_1 = __importDefault(require("fs"));
const environment_1 = require("./object/environment");
exports.NewEnvironment = environment_1.NewEnvironment;
const lexer_1 = __importDefault(require("./lexer/lexer"));
exports.Lexer = lexer_1.default;
const parser_1 = __importDefault(require("./parser/parser"));
exports.Parser = parser_1.default;
const evaluator_1 = __importDefault(require("./evaluator/evaluator"));
exports.Eval = evaluator_1.default;
const object_1 = require("./object/object");
exports.OObject = {
    BOOLEAN_OBJ: object_1.BOOLEAN_OBJ,
    BUILTIN_OBJ: object_1.BUILTIN_OBJ,
    ERROR_OBJ: object_1.ERROR_OBJ,
    COMMENT_OBJ: object_1.COMMENT_OBJ,
    FUNCTION_OBJ: object_1.FUNCTION_OBJ,
    INTEGER_OBJ: object_1.INTEGER_OBJ,
    FLOAT_OBJ: object_1.FLOAT_OBJ,
    NULL_OBJ: object_1.NULL_OBJ,
    RETURN_VALUE_OBJ: object_1.RETURN_VALUE_OBJ,
    STRING_OBJ: object_1.STRING_OBJ,
    ARRAY_OBJ: object_1.ARRAY_OBJ,
    HASH_OBJ: object_1.HASH_OBJ,
};
function main(argv) {
    let output = process_1.default.stdout;
    if (argv[2]) {
        let filename = argv[2];
        const stream = fs_1.default.createReadStream(filename, { encoding: 'utf8' });
        repl_1.default(stream, output, true);
    }
    else {
        let username = os_1.default.userInfo().username;
        console.log(`Hello ${username}! This is the Monkey programming language!`);
        console.log('Feel free to type in commands');
        let input = process_1.default.stdin;
        input.setEncoding('utf-8');
        repl_1.default(input, output, false);
    }
}
exports.main = main;
if (typeof process_1.default !== 'undefined' && typeof process_1.default.versions.node !== 'undefined')
    main(process_1.default.argv);
//# sourceMappingURL=index.js.map