"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("./logger"));
class Environment {
    constructor(logger) {
        this.store = new Map();
        this.outer = null;
        this.Logger = new logger_1.default();
        this.Logger = logger;
    }
    Get(name) {
        let obj = this.store.get(name);
        if (!obj && this.outer !== null) {
            obj = this.outer.Get(name);
        }
        return obj ? obj : null;
    }
    Set(name, val) {
        this.store.set(name, val);
        return val;
    }
}
exports.default = Environment;
function NewEnvironment() {
    let logger = new logger_1.default();
    let env = new Environment(logger);
    return env;
}
exports.NewEnvironment = NewEnvironment;
function NewEnclosedEnvironment(outer) {
    let env = new Environment(outer.Logger);
    env.outer = outer;
    return env;
}
exports.NewEnclosedEnvironment = NewEnclosedEnvironment;
//# sourceMappingURL=environment.js.map