"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Position {
    constructor(offset, line = 0, column) {
        this.Filename = '';
        this.Offset = 0;
        this.Line = 0;
        this.Column = 0;
        this.Offset = offset;
        this.Line = line;
        this.Column = column || 0;
    }
    IsValid() {
        return this.Line > 0;
    }
    String() {
        let s = this.Filename;
        if (this.IsValid()) {
            if (s !== '') {
                s += ':';
            }
            s += printf('line %s, column %s', this.Line, this.Column);
        }
        if (s === '') {
            s = '-';
        }
        return s;
    }
}
exports.default = Position;
function printf(...args) {
    return [...args].reduce((p, c) => p.replace(/%s/, c));
}
//# sourceMappingURL=position.js.map