"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const position_1 = __importDefault(require("./position"));
class Token {
    constructor(type, literal, position) {
        this.Type = type;
        this.Literal = literal;
        this.Position = position || new position_1.default(0, 0, 0);
    }
}
exports.default = Token;
exports.TokenType = {
    ILLEGAL: 'ILLEGAL',
    EOF: 'EOF',
    COMMENT: 'COMMENT',
    IDENT: 'IDENT',
    INT: 'INT',
    FLOAT: 'FLOAT',
    STRING: 'STRING',
    LBRACKET: '[',
    RBRACKET: ']',
    ASSIGN: '=',
    PLUS: '+',
    MINUS: '-',
    BANG: '!',
    ASTERISK: '*',
    EXPONENT: '**',
    SLASH: '/',
    REM: '%',
    LT: '<',
    GT: '>',
    LTE: '<=',
    GTE: '>=',
    EQ: '==',
    NOT_EQ: '!=',
    COMMA: ',',
    PERIOD: '.',
    COLON: ':',
    SEMICOLON: ';',
    LPAREN: '(',
    RPAREN: ')',
    LBRACE: '{',
    RBRACE: '}',
    LAND: 'AND',
    LOR: 'OR',
    FUNCTION: 'FUNCTION',
    WHILE: 'WHILE',
    LET: 'LET',
    TRUE: 'TRUE',
    FALSE: 'FALSE',
    IF: 'IF',
    ELSE: 'ELSE',
    RETURN: 'RETURN',
};
exports.Keywords = {
    fn: exports.TokenType.FUNCTION,
    while: exports.TokenType.WHILE,
    let: exports.TokenType.LET,
    true: exports.TokenType.TRUE,
    false: exports.TokenType.FALSE,
    if: exports.TokenType.IF,
    else: exports.TokenType.ELSE,
    return: exports.TokenType.RETURN,
    and: exports.TokenType.LAND,
    or: exports.TokenType.LOR,
};
function LookupIdent(ident) {
    if (exports.Keywords[ident])
        return exports.Keywords[ident];
    return exports.TokenType.IDENT;
}
exports.LookupIdent = LookupIdent;
//# sourceMappingURL=token.js.map